Subject: bug#1488: 23.0.60; dired-pop-to-buffer: use fit-window-to-buffer

From: martin rudalics <[email-masked]>
Date: Thu, 11 Dec 2008 18:29:57 +0100

> I finally had time to apply your patch and give it a whirl.  Initial
 > tests together with my patched dired-pop-to-buffer indicate it DTRT,
 > i.e., both with and without a header line I can shrink the frame and
 > invoke dired-pop-to-buffer without signalling an error until only one
 > dired line is displayable: then shrinking is no longer possible and
 > dired-pop-to-buffer shows one file (also with signalling an error).
 > I'll keep using it, maybe I'll hit a corner case, but it seems ok.

I checked in a revised version of this.  It's pretty hard to get right,
especially when shrinking non-full-width-windows.  There's still a
corner case I cannot handle.  Anyway, please report immediately when
something appears wrong.

Thanks, martin.